CMSIS-DSP: arm_rfft_instance_q15 Struct Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_rfft_instance_q15 Struct Reference

Instance structure for the Q15 RFFT/RIFFT function.

## Data Fields

uint32_t | fftLenReal
uint8_t | ifftFlagR
uint8_t | bitReverseFlagR
uint32_t | twidCoefRModifier
const q15_t * | pTwiddleAReal
const q15_t * | pTwiddleBReal
const arm_cfft_instance_q15 * | pCfft

## Field Documentation

uint8_t bitReverseFlagR

flag that enables (bitReverseFlagR=1) or disables (bitReverseFlagR=0) bit reversal of output.

uint32_t fftLenReal

length of the real FFT.

uint8_t ifftFlagR

flag that selects forward (ifftFlagR=0) or inverse (ifftFlagR=1) transform.

const arm_cfft_instance_q15* pCfft

points to the complex FFT instance.

const q15_t* pTwiddleAReal

points to the real twiddle factor table.

const q15_t* pTwiddleBReal

points to the imag twiddle factor table.

uint32_t twidCoefRModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.